Package Details: firefox-developer-edition-firefox-symlink-latest 107.0b8-1

Git Clone URL: https://aur.archlinux.org/firefox-developer-edition-firefox-symlink-latest.git (read-only, click to copy)
Package Base: firefox-developer-edition-firefox-symlink-latest
Description: Adds a 'firefox'-symlink for 'firefox-developer-edition'. Also symlinks extensions, icon- and .desktop-files.
Upstream URL: https://aur.archlinux.org/packages/firefox-developer-edition-firefox-symlink-latest
Licenses: custom: public domain
Conflicts: firefox, firefox-developer-edition-firefox-symlink
Provides: firefox, firefox-developer-edition-firefox-symlink
Submitter: dreieck
Maintainer: Auerhuhn
Last Packager: Auerhuhn
Votes: 1
Popularity: 0.000001
First Submitted: 2019-02-05 23:02 (UTC)
Last Updated: 2022-11-02 21:24 (UTC)

Required by (145)

Sources (4)

Pinned Comments

dreieck commented on 2020-05-27 18:00 (UTC)

No need to flag this package out of date just because firefox-developer-edition got an update:

This package here, firefox-developer-edition-firefox-symlink-latest, updates the $pkgver automatically on each build according to the installed firefox-developer-edition via the pkgver()-function.

Latest Comments

Auerhuhn commented on 2022-03-06 19:58 (UTC)

Thanks @shackra for reporting. Should be fixed now so you no longer need the LC_ALL workaround.

shackra commented on 2022-03-06 19:43 (UTC) (edited on 2022-03-06 19:44 (UTC) by shackra)

please be aware, if your locales are different than English, the pkver() in this PKGBUILD will fail:

❯ pacman -Qi firefox-developer-edition
Nombre                    : firefox-developer-edition
Versión                   : 98.0b8-1
# ...

run pikaur or whatever you use with LC_ALL=C to get the output in the expected English.

Auerhuhn commented on 2021-11-09 18:05 (UTC) (edited on 2021-11-09 18:12 (UTC) by Auerhuhn)

@dreieck I’ve now managed to successfully symlink the content of /usr/lib/firefox into /usr/lib/firefox-developer-edition in order to enable e.g. extensions. Been testing it for a few weeks, it has worked fine for me so far.

Feel free to cherry-pick my GitHub commit f51cecb (patch) if you like.

Auerhuhn commented on 2021-10-10 14:01 (UTC) (edited on 2021-10-10 16:32 (UTC) by Auerhuhn)

Thanks for this package @dreieck, it’s super useful!

Symlinking /usr/lib/firefox would be helpful, too. That’d enable AUR packages such as firefox-video-acceleration, which adds files to /usr/lib/firefox.

~~Feel free to cherry-pick my GitHub commit 6f7dd4c if you like.~~ Update: never mind. Turns out pacman refuses to enter directories that are symlinks.

dreieck commented on 2020-05-27 18:00 (UTC)

No need to flag this package out of date just because firefox-developer-edition got an update:

This package here, firefox-developer-edition-firefox-symlink-latest, updates the $pkgver automatically on each build according to the installed firefox-developer-edition via the pkgver()-function.